VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ValueListenerAdapter Class Reference
Standalone Library

Value listener adapter More...

Inheritance diagram for ValueListenerAdapter:

## Public Member Functions
void | onBeginEdit (IValue &value) override
| Value begins editing.
void | onPerformEdit (IValue &value, IValue::Type newValue) override
| Value performed an edit.
void | onEndEdit (IValue &value) override
| Value ends editing.
void | onStateChange (IValue &value) override
| Value changed some of its state.

## Detailed Description

Value listener adapter

## Member Function Documentation

void onBeginEdit | ( | IValue & | value | ) |
| inline override virtual

Value begins editing.

Implements IValueListener.

void onEndEdit | ( | IValue & | value | ) |
| inline override virtual

Value ends editing.

Implements IValueListener.

void onPerformEdit | ( | IValue & | value,
|  | IValue::Type | newValue
| ) |  |
| inline override virtual

Value performed an edit.

Implements IValueListener.

void onStateChange | ( | IValue & | value | ) |
| inline override virtual

Value changed some of its state.

Implements IValueListener.

The documentation for this class was generated from the following file:

- valuelistener.h